<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <!-- Google Tag Manager -->
    <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
            new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
        j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
        'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
    })(window,document,'script','dataLayer','GTM-NLPDPX3');</script>
    <!-- End Google Tag Manager -->

    <meta charset="UTF-8">
    <title>Data Hasil Test</title>
</head>
<body>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-NLPDPX3"
                  height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

<section layout:fragment="main" class="clearfix">
    <div class="row">
        <div class="col-md-12 col-sm-12 col-xs-12">
            <a th:href="@{/jadwalTest/list}" class="btn btn-md  btn-info fa fa-calendar">&nbsp;Jadwal Test</a>
            <div class="x_panel tile fixed_height_160">
                <div class="x_title">
                    <h1>Data Hasil Test</h1>
                    <div class="clearfix"></div>
                </div>
                <div class="row clearfix">
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                        <div class="card">
                            <div class="row clearfix">
                                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                    <div class="card">
                                        <div class="body">
                                            <form method="get">
                                                <div class="col-md-5 col-sm-5 col-xs-12 form-group pull-right top_search">
                                                    <div class="input-group">
                                                        <input type="text" name="nama"
                                                               class="form-control" th:value="${nama}"
                                                               placeholder="Cari Nama...">
                                                        <span class="input-group-btn">
                                                                 <button class="btn btn-info" style="color: white;" type="submit">Cari</button>
                                                            </span>
                                                    </div>
                                                    <span class="pull-right">Show <span sd:page-size-selector="javascript"></span> entries</span>

                                                </div>
                                            </form>
                                            <form th:action="@{/hasilTest/xlsxHms}" method="get">
                                                <input type="submit" class="btn btn-md btn-primary fa fa-dashboard" value="Data Hasil Test">
                                            </form>
                                            <hr>
                                            <div class="row">
                                                <div class="table-responsive">
                                                    <table class="table table-bordered table-striped table-hover">
                                                        <thead>
                                                        <tr>
                                                            <th>No</th>
                                                            <th>No Registrasi</th>
                                                            <th>Nama</th>
                                                            <th>Program Studi</th>
                                                            <th>Jenjang</th>
                                                            <th>Periode</th>
                                                            <th>Jenis Test</th>
                                                        </tr>
                                                        </thead>
                                                        <tbody>
                                                        <tr th:each="p, row : ${daftarHasilTest}">
                                                            <td th:text="${(row.index + 1) + (daftarHasilTest.number * daftarHasilTest.size)}">#</td>
                                                            <td th:text="${p.jadwalTest.pendaftar.nomorRegistrasi}"></td>
                                                            <td th:text="${p.jadwalTest.pendaftar.leads.nama}"></td>
                                                            <td th:if="${p.jadwalTest.pendaftar.programStudi != null}" th:text="${p.jadwalTest.pendaftar.programStudi.nama}"></td>
                                                            <td th:if="${p.jadwalTest.pendaftar.programStudi == null}"></td>
                                                            <td>
                                                                <span style="color: #4edfff; font-size: 16px;" th:if="${p.nilai}>30">Lulus(
                                                                    <span th:text="${p.grade.nama}"  style="color:black; font-size: 16px;"></span> )
                                                                </span>
                                                                <span th:if="${p.nilai}<30">
                                                                <span th:text="${p.grade.nama}"  style="color: red; font-size: 16px;"></span>                                        </span>
                                                            </td>
                                                            <td>
                                                                <span th:each="d : ${dto}" >
                                                                    <span th:if="${d.pendaftar == p.jadwalTest.pendaftar.id}" th:text="${d.periode.nama}"></span>
                                                                </span>
                                                            </td>
                                                            <td th:text="${p.jadwalTest.jenisTest}"></td>
                                                        </tr>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-sm-6">
                                                    <div sd:pagination-summary="">info</div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-sm-8">
                                                    <nav class="pull-right">
                                                        <ul class="pagination" sd:pagination="full">
                                                            <!-- Pagination created by SpringDataDialect, this content is just for mockup -->
                                                            <li class="disabled"><a href="#" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>
                                                            <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a></li>
                                                        </ul>
                                                    </nav>
                                                </div>
                                            </div>
                                        </div>
                                        <!--//table//-->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
</section>

</body>
</html>
<script>
    function myFunction() {
        document.getElementById("myForm").reset();
    }
    function myFunction() {
        document.getElementById("myForm1").reset();
    }
</script>